void show_month_date () {
  // show months in binary in the hours field in magenat
  //   and date in binary in the minutes field in yellow

  Leds_off ();                     // clear the previous display
   
  int mnth = month(snapshot);
  int dte = day(snapshot);
  int yr = (year(snapshot) % 100);    // converts from ccyy to yy
    
  itoa (mnth, mnth_str, 10);        //for display on Oled
  itoa (dte, day_str, 10);
  itoa (yr, yr_str, 10);

  char tmp_str[4]; // = {' ',' ',' '};    //mins string for Oled
  for (int x = 0; x < sizeof(tmp_str)-1; x++) tmp_str[x] = '\0';  //set to null 
  if (yr < 10) {                  // add a leading 0 to year string
    strcpy(tmp_str, "0");
    strcat(tmp_str, yr_str);
    strcpy (yr_str, tmp_str);
  }

  strcpy (date_str, day_str);
  strcat (date_str, "/");
  strcat (date_str, mnth_str);
  strcat (date_str, "/");
  strcat (date_str, yr_str);
  strcat (date_str, '\0');

  // show the month in binary format in the hours field, mnth can never be > 12
  if (mnth >= 8) {
    leds.setPixelColor (H8, Magenta);
    mnth -= 8;
  }
  if (mnth >= 4) {
    leds.setPixelColor (H4, Magenta);
    mnth -= 4;
  }
  if (mnth >= 2) {
    leds.setPixelColor (H2, Magenta);
    mnth -= 2;
  }
  if (mnth >= 1) {
    leds.setPixelColor (H1, Magenta);
    mnth -= 1;
  }

  // show the date in binary format in the minutes field, dte can never be > 31
  if (dte >= 16) {
    leds.setPixelColor (M16, Yellow);
    dte -= 16;
  }
  if (dte >= 8) {
    leds.setPixelColor (M8, Yellow);
    dte -= 8;
  }
  if (dte >= 4) {
    leds.setPixelColor (M4, Yellow);
    dte -= 4;
  }
  if (dte >= 2) {
    leds.setPixelColor (M2, Yellow);
    dte -= 2;
  }
  if (dte >= 1) {
    leds.setPixelColor (M1, Yellow);
  }

  leds.show();
}

