void show_time () {
  // time displayed in binary in hours and minutes fields

  Leds_off ();                             // clear the previous display

  int hrs = hour(snapshot);   // could use; hrs = hourFormat12();
  int mins = minute(snapshot);
     
  itoa (hrs, hrs_str, 10);        //for display on Oled, 24h format

  char tmp_str[4]; // = {' ',' ',' '};    //mins string for Oled
  for (int x = 0; x < sizeof(tmp_str)-1; x++) tmp_str[x] = '\0';  //set to null
  
  itoa (mins, mins_str, 10);        //for display on Oled
  if (mins < 10) {                  // add a leading 0 to minutes string
    strcpy(tmp_str, "0");
    strcat(tmp_str, mins_str);
    strcpy (mins_str, tmp_str);
  }

  for (int x = 0; x < sizeof(time_str)-1; x++) time_str[x] = '\0';  //set to null
  strcpy(time_str, hrs_str);
  strcat(time_str, ":");
  strcat(time_str, mins_str);

  for (int x = 0; x < sizeof(time_str)-1; x++) time_str[x] = '\0';  //set to null
  strcpy(time_str, hrs_str);
  strcat(time_str, ":");
  strcat(time_str, mins_str);
      
  if (hrs > 12) hrs -=12;         //convert to 12 hr format for led string
                                  // see also, hrs = hourFormat12();
  
  if (hrs >= 8) {
    leds.setPixelColor (H8, leds.Color(myst(millis()), myst(millis()/4), myst(millis()*6)));
    hrs -= 8;
    delay (5);
  }
  if (hrs >= 4) {
    leds.setPixelColor (H4, leds.Color(myst(millis()), myst(millis()/4), myst(millis()*6)));
    hrs -= 4;
    delay (5);
  }
  if (hrs >= 2) {
    leds.setPixelColor (H2, leds.Color(myst(millis()), myst(millis()/4), myst(millis()*6)));
    hrs -= 2;
    delay (5);
  }
  if (hrs >= 1) {
    leds.setPixelColor (H1, leds.Color(myst(millis()), myst(millis()/4), myst(millis()*6)));
    hrs -= 1;
    delay (5);
  }
    
  
  if (mins >= 32) {
    leds.setPixelColor (M32, leds.Color(myst(millis()), myst(millis()/4), myst(millis()*6)));
    mins -= 32;
    delay (5);
  }
  if (mins >= 16) {
    leds.setPixelColor (M16, leds.Color(myst(millis()), myst(millis()/4), myst(millis()*6)));
    mins -= 16;
    delay (5);
  }
  if (mins >= 8) {
    leds.setPixelColor (M8, leds.Color(myst(millis()), myst(millis()/4), myst(millis()*6)));
    mins -= 8;
    delay (5);
  }
  if (mins >= 4) {
    leds.setPixelColor (M4, leds.Color(myst(millis()), myst(millis()/4), myst(millis()*6)));
    mins -= 4;
    delay (5);
  }
  if (mins >= 2) {
    leds.setPixelColor (M2, leds.Color(M2*myst(millis()), M2*myst(millis()/4), M2*myst(millis()*6)));
    mins -= 2;
    delay (5);
  }
  if (mins >= 1) {
    leds.setPixelColor (M1, leds.Color(myst(millis()), myst(millis()/4), myst(millis()*6)));
  }
     
  leds.show();
}

